package org.jboss.security.srp;

package .tmp;

import java.io.ObjectStreamField;
import java.io.Serializable;
import org.jboss.security.srp.SRPVerifierStore;

public class VerifierInfo implements Serializable {
  private static final long serialVersionUID = 7420301687504271098L;
  
  private static final ObjectStreamField[] serialPersistentFields = new ObjectStreamField[] { new ObjectStreamField("username", (SRPVerifierStore.null.class$java$lang$String == null) ? (SRPVerifierStore.null.class$java$lang$String = SRPVerifierStore.null.class$("java.lang.String")) : SRPVerifierStore.null.class$java$lang$String), new ObjectStreamField("verifier", (SRPVerifierStore.null.array$B == null) ? (SRPVerifierStore.null.array$B = SRPVerifierStore.null.class$("[B")) : SRPVerifierStore.null.array$B), new ObjectStreamField("salt", (SRPVerifierStore.null.array$B == null) ? (SRPVerifierStore.null.array$B = SRPVerifierStore.null.class$("[B")) : SRPVerifierStore.null.array$B), new ObjectStreamField("g", (SRPVerifierStore.null.array$B == null) ? (SRPVerifierStore.null.array$B = SRPVerifierStore.null.class$("[B")) : SRPVerifierStore.null.array$B), new ObjectStreamField("N", (SRPVerifierStore.null.array$B == null) ? (SRPVerifierStore.null.array$B = SRPVerifierStore.null.class$("[B")) : SRPVerifierStore.null.array$B), new ObjectStreamField("hashAlgorithm", (SRPVerifierStore.null.class$java$lang$String == null) ? (SRPVerifierStore.null.class$java$lang$String = SRPVerifierStore.null.class$("java.lang.String")) : SRPVerifierStore.null.class$java$lang$String), new ObjectStreamField("cipherAlgorithm", (SRPVerifierStore.null.class$java$lang$String == null) ? (SRPVerifierStore.null.class$java$lang$String = SRPVerifierStore.null.class$("java.lang.String")) : SRPVerifierStore.null.class$java$lang$String), new ObjectStreamField("cipherIV", (SRPVerifierStore.null.array$B == null) ? (SRPVerifierStore.null.array$B = SRPVerifierStore.null.class$("[B")) : SRPVerifierStore.null.array$B) };
  
  public String username;
  
  public byte[] verifier;
  
  public byte[] salt;
  
  public byte[] g;
  
  public byte[] N;
  
  public String hashAlgorithm;
  
  public String cipherAlgorithm;
  
  public byte[] cipherIV;
}
